Menu

End-of-life PHP 7.4 upgrade naar PHP 8.0

Huibert Bijland 6 maart 2022 1 minuut

Wanneer zo’n release het einde van zijn levensduur bereikt worden er geen verdere onderhoudsupdates, ook geen kritieke beveiligingsupgrades, meer uitgevoerd. Het is belangrijk om actie te ondernemen op het moment dat deze life cycles wordt uitgebracht.

Functioneert jouw website dan nog wel?

Informeer dan ook bij jouw provider of je website op een server draait met de juiste software. Versie PHP 8.0 moeten worden ondersteund zodat jij over kan gaan naar PHP 8.0. Let daarbij op, want de kans is groot, dat je website niet meer juist functioneert op deze nieuwe versie. Wij, of je huidige website beheerder, kunnen analyseren middels bug en error logs (eventueel middels trial-and-error) wat de nodige aanpassingen zijn waardoor je website weer kan functioneren met de nieuwe PHP-versie.

Upgraden is wel noodzakelijk

Veel providers hebben al de mogelijkheid om de servers om te zetten naar PHP 8.0 en zelfs 8.1, zoals bij ons dat al mogelijk is. Is dit niet het geval bij jouw provider? Let er dan wel op dat deze server geen onderhoudsupdates en geen beveiligingsupgrades meer krijgt waardoor je website niet meer 100% beveiligd is.

Wacht niet te lang

PHP 7.4 is dit jaar al gestopt, maar er is voor de trage onder ons nog een minimale Security Support wat eindigt per november 2022 (EOL). Wij adviseren dan ook om hun PHP-versie te updaten naar minimaal PHP 8.0 of hoger.

Neem contact met ons op, wij helpen je graag bij het nakijken en upgraden van jouw website.

Jij hebt behoefte aan advies?

IkCommuniceer geeft je graag gedegen (online) advies over je strategie, website, ads campagne en de mogelijkheden op social media.